import { InjectRedis } from '@liaoliaots/nestjs-redis';
import { Injectable } from '@nestjs/common';
import { Redis } from 'ioredis';
import { IConfigurationRepository } from '../../domain/interfaces/configuration.repository';

@Injectable()
export class RedisConfigurationRepository extends IConfigurationRepository {
  constructor(@InjectRedis() private readonly redis: Redis) {
    super();
  }

  get = async (key: string): Promise<string> => {
    return await this.redis.get(key);
  };

  set = async (key: string, value: string): Promise<void> => {
    await this.redis.set(key, value);
  };

  del = async (key: string): Promise<void> => {
    await this.redis.del(key);
  };
}
